•   
  • 1
  • 13
  • 14
  • 15(current)
  • 16
  • 17
  • 36
  •   
Release Amazon VOD [plugin.video.amazon[vod|-test]]
Yeah, I was working on a dynamic proxy service for Kodi addon releases, since the current method of pushing binaries in the GitHub repos quite suck, unfortunately I stopped before finishing it. This would be a prime example of a case that could seriously use that proxy, to just alter the addons.xml on the fly based on the request coming from Kodi 18 or 19. Oh, well, we'll see what to do. I just wasn't expecting this to happen.
Image
Reply
(2020-03-02, 19:29)Roby77 Wrote:
(2020-03-02, 16:41)Varstahl Wrote: Fuck, I just read the PR, that makes supporting Kodi 18+ impossible. @Roby77 for the immediate you should be able to fix the issue by changing the version to 3.0.0 into addon.xml, like so:
Code:
<import addon="xbmc.python" version="3.0.0"/>

For the future we might need to drop support for Kodi 18… This sucks, I don't know, we'll see.        
thank you!

I modified it and restarted Nuc, now i can enable it but it doesn't start  cause the dependencies are not updated ?

do you want a log ?     
You could use the files from here, I modified them so I would be able to install the "plugin.video.amazon-test-0.8.1" on the latest nightly for Kodi 19 win64. Extract the zip file.

https://github.com/Essam311/xbmc/raw/Ess...st.py3.zip

Better to delete Kodi folder first, and install the files in that order:
C:\Users\username\AppData\Roaming\Kodi

1. script.module.kodi-six-0.1.3.zip
2. script.module.pyxbmct-1.3.1.zip
3. script.module.mechanicalsoup-0.12.0.zip
4. script.module.pydes-2.0.1.zip
5. script.module.inputstreamhelper-0.4.4.zip
6. plugin.video.amazon-test-0.8.1.zip

(Just remember to install "script.module.kodi-six-0.1.3.zip" before " script.module.pyxbmct-1.3.1.zip" and to install "plugin.video.amazon-test-0.8.1.zip" after installing the rest of the files)
Reply
Yeah, other addons such as InputStream.Helper also have this kind of issue. Afair Kodi 19 was supposed to be a gateway for compatibility, this was most unexpected.
Image
Reply
(2020-03-03, 10:47)Essam31 Wrote:
(2020-03-02, 19:29)Roby77 Wrote:
(2020-03-02, 16:41)Varstahl Wrote: Fuck, I just read the PR, that makes supporting Kodi 18+ impossible. @Roby77 for the immediate you should be able to fix the issue by changing the version to 3.0.0 into addon.xml, like so:
Code:
<import addon="xbmc.python" version="3.0.0"/>

For the future we might need to drop support for Kodi 18… This sucks, I don't know, we'll see.      
thank you!

I modified it and restarted Nuc, now i can enable it but it doesn't start  cause the dependencies are not updated ?

do you want a log ?   
You could use the files from here, I modified them so I would be able to install the "plugin.video.amazon-test-0.8.1" on the latest nightly for Kodi 19 win64. Extract the zip file.

https://github.com/Essam311/xbmc/raw/Ess...st.py3.zip 

thank you , will try asap
Reply
Hi,

will the TLD Version get support for live events/sports?
Reply
@Essam31  i confirm that your mod works with kodi 19 python 3 abi

thank you
Reply
I have kodi 18.5 on raspbian buster installed on a RPI4

I have configured the add-ons and I am able to play most videos well, but for some I get the video with greenish colours and horizontal purple srtips. The video is still watchable  but it seems like an old TV with bad lamp. As an example episodes of Season 5 of Married 2 children will play badly.

I have tried the same PI4 with OpenELec and all the video play well. Using the same version of libwidevinecdm.
I have also tried amazon prime using cromium on the raspbian buster using the same libwidevinecdm and it plays well the video.
Hence, I am sure the issue is not related to widevine.

Also, I have seen the OpenGL version is different between the last Libreelec (19.1.7) and raspbian (
19.3.2), but it is unlikely this is the reason as it plays well in chromium.

So is this related to the amazon plugin, to Kodi or inpustream adaptative ?

any idea on how I could debug this ?
Reply
(2020-03-06, 22:26)unnilennium Wrote: I have configured the add-ons and I am able to play most videos well, but for some I get the video with greenish colours and horizontal purple srtips.

Which add-ons are you referring to? Also, OpenELEC is a dead project for 4 years now. It won't run on a RPi4.
Got a Kodi problem? Provide us with a full Debug log (wiki) || Usefull pages: First time user (wiki) || Troubleshooting (wiki) || Free content (wiki) || Forum rules (wiki) || VPN policy (wiki)
Reply
(2020-03-06, 22:33)Klojum Wrote:
(2020-03-06, 22:26)unnilennium Wrote: I have configured the add-ons and I am able to play most videos well, but for some I get the video with greenish colours and horizontal purple srtips.

Which add-ons are you referring to? Also, OpenELEC is a dead project for 4 years now. It won't run on a RPi4. 
Sorry was refering to LibreElec, mixing my mind with OpenGL.

For the addon, as indicated in the title thread  : amazon-test / amazon-VOD
Reply
@unnilennium - your thread has been merged into the correct support thread for Amazon VOD (this current one above).
|Banned add-ons (wiki) Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

My Blog Posts
Reply
I Need a help

My son is watching two TV series

A) kung Fu panda... when season 1 finished he opened the season 2 folder and was empty

Solved watching first episodes of season 2 via pc and found all other episode via continue to watch bookmark

B) just add magic...same problem but I can't found s2,s3 and s4

Tried pc trick but this time doesn't work

PS:just a curious why some TV series are labeled 101, 201 instead of 1x01 , 1x02


Edit: sorry solved adding to my video list via app and via refresh button

Thank you
Reply
(2020-03-06, 22:26)unnilennium Wrote: So is this related to the amazon plugin, to Kodi or inpustream adaptative ?

any idea on how I could debug this ?

I'd say 90% is the distro, with 10% Kodi. If the file plays back then it's not a DRM issue, it's a decoding issue. So then comes the "what does the raspbian do to decode the video streams". You might need to try and look into ffmpeg decoding in Kodi and/or debian. LibreElec has codecs and configurations to run well in this kind of scenarios, but I don't know enough to point you further in the right direction.
Image
Reply
Hello, I have one notebook with Linux Mint 10.3 XFCE and TV Box Minix Neo Z83-4, all with Kodi 18.5 Leia and Amazon VOD dont work. When I start the addon, not open dialog for input stream and I have to install it manually from source. I installed the addon with same version in Android and it work properly. Can you help me? Thanks
Reply
*Linux Mint 19.3
Reply
(2020-03-09, 19:59)zheive Wrote: Hello, I have one notebook with Linux Mint 10.3 XFCE and TV Box Minix Neo Z83-4, all with Kodi 18.5 Leia and Amazon VOD dont work. When I start the addon, not open dialog for input stream and I have to install it manually from source. I installed the addon with same version in Android and it work properly. Can you help me? Thanks
That's probably an error on your end. Even if IS.A doesn't install automatically you can still install it via official Kodi repos. I don't see the problem?
Image
Reply
  •   
  • 1
  • 13
  • 14
  • 15(current)
  • 16
  • 17
  • 36
  •   



Logout Mark Read Team Forum Stats Members Help
Amazon VOD [plugin.video.amazon[vod|-test]]2
This forum uses Lukasz Tkacz MyBB addons.